--- title: "Get license issuance history" slug: "drm-license-statistics" tags: ["Click Multi DRM", "Media"] updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/drm-license-statistics" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get license issuance history Available in Classic and VPC Get the history of licenses issued by the site. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/license/statistics | ### Request headers For information about the headers common to all One Click Multi DRM APIs, see [One Click Multi DRM request headers](/docs/en/one-click-multi-drm-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `siteId` | String | Required | Site ID - See [Get site list](/docs/en/site-list). | | `searchCondition` | String | Optional | Search conditions - `contentId` \| `drmType` \| `userId` \| `deviceId` \| `deviceModel` - `contentId`: Content ID - `drmType`: DRM type - `userId`: User ID - `deviceId`: Device ID - `deviceModel`: Device model | | `searchKeyword` | String | Optional | Search keyword | | `startTime` | Integer | Optional | Query start date and time (millisecond) - Unix timestamp format | | `endTime` | Integer | Optional | Query end date and time (millisecond) - Unix timestamp format | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 1-100 | | `status` | String | Optional | Filter by license issuance success status. - `success` \| `fail` - `success`: Success - `fail`: Failure | ### Request example The request example is as follows: ``` curl --location --request GET 'https://multi-drm.apigw.ntruss.com/api/v1/license/statistics?siteId=drm-20250903141775-*****&searchCondition=drmType&searchKeyword=Widevine&startTime=1699605801000&endTime=1700469801000&pageNo=1&pageSize=20&status=success' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API processing result - `true` \| `false` - `true`: Succeeded - `false`: Failed | | `content` | Array | - | License issuance hisgtory list: [content](/docs/en/drm-license-statistics#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `siteId` | String | - | Site ID | | `userId` | String | - | User ID - User ID managed by the service site or user account that played DRM content - Displayed as MD5 hash value | | `licenseStatus` | String | - | License issuance success status - `success` \| `fail` - `success`: Success - `fail`: Failure | | `drmType` | String | - | DRM type - `Widevine` \| `PlayReady` \| `FairPlay` | | `contentId` | String | - | Playback content ID - Value used for DRM packaging | | `deviceId` | String | - | License request device ID | | `deviceModel` | String | - | License request device model | | `platformName` | String | - | License request platform name | | `licenseCreatedTime` | Integer | - | License issuance date and time (millisecond) - Unix timestamp format | ### Response status codes For information about the response status codes common to all One Click Multi DRM APIs, see [One Click Multi DRM response status codes](/docs/en/one-click-multi-drm-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "content": [ { "siteId": "drm-20250814105413-*****", "userId": "6642e243357b8f2e****************", "licenseStatus": "success", "drmType": "Widevine", "contentId": "ajfxle*******", "deviceId": "afd1576e71a3092b****************", "deviceModel": "ChromeCDM-Win-x64-2024-11-14", "platformName": "PLATFORM_WINDOWS", "licenseCreatedTime": 1757571734000 } ], "total": 1 } ```